Last Comment Bug 708125 - OGL Layers thrashes current context in UpdateSurface and RenderLayer
: OGL Layers thrashes current context in UpdateSurface and RenderLayer
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla11
Assigned To: Jeff Gilbert [:jgilbert]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 697845 711649
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 16:29 PST by Jeff Gilbert [:jgilbert]
Modified: 2011-12-20 06:07 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Reduce current context thrashing in OGL Layers (3.42 KB, patch)
2011-12-06 16:32 PST, Jeff Gilbert [:jgilbert]
jgilbert: review-
Details | Diff | Splinter Review

Description Jeff Gilbert [:jgilbert] 2011-12-06 16:29:42 PST
For the shared-texture path:
In UpdateSurface we currently switch to the layer GLContext, even if it's not necessary.
In RenderLayer, we switch to the WebGL GLContext to resolve, then back again to the layer GLContext for rendering.

This is possibly adding an extra context switch, when we could be doing all the work in the WebGL GLContext before moving on to the work on the layer GLContext.
Comment 1 Jeff Gilbert [:jgilbert] 2011-12-06 16:32:39 PST
Created attachment 579520 [details] [diff] [review]
Reduce current context thrashing in OGL Layers

This also moves the UpdateSurface code for resolving the buffer back to UpdateSurface, instead of where it is now in RenderLayer.
Comment 2 Jeff Gilbert [:jgilbert] 2011-12-19 11:27:12 PST
Comment on attachment 579520 [details] [diff] [review]
Reduce current context thrashing in OGL Layers

Review of attachment 579520 [details] [diff] [review]:
-----------------------------------------------------------------

Patch no longer necessary after bug 711649.
Comment 3 Ed Morley [:emorley] 2011-12-20 06:07:59 PST
Fixed by bug 711649

Note You need to log in before you can comment on or make changes to this bug.